package com.platform.yijia.service;

import com.platform.yijia.pojo.AppUserInfo;

import java.util.List;
import java.util.Map;


public interface AppUserInfoService {

    //验证身份
    List<AppUserInfo> Authentication(AppUserInfo appUserInfo);
    //添加信息
    void AddAppUserInfo(AppUserInfo appUserInfo);

    //判断新注册用户是否存在
    int isExistAppUser(Map params);

    //验证身份
    boolean selectAppUserInfo(String token, String userType);

    //更新unionID
    void updateAppUserInfo(AppUserInfo appUserInfo);

    //查询客户UnionId
    AppUserInfo getUserInfo(AppUserInfo appUserInfo);

    /**
     * 判断使用小程序支付的用户是否关注公众号
     * @param map
     * @return
     */
    String whetherFollowGzh(Map map);
}
